Bug 104332 - redhat-config-network crashes on startup
redhat-config-network crashes on startup
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 15:04 EDT by Michael Merwitz
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 04:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Merwitz 2003-09-12 15:04:55 EDT
RPM Version: redhat-config-network-1.2.15-1 
 
Every time I use the app., I get a dialog box with the following: 
 
Component: redhat-config-network 
Version: 1.2.15 
Summary: TB 
/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py:123:load:AttributeError: 
'module' object has no attribute 'ConfFHosts' 
Traceback (most recent call last): 
  File "/usr/sbin/redhat-config-network-gui", line 163, in main 
    window = mainDialog() 
  File 
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", 
line 210, in __init__ 
  File 
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", 
line 241, in load 
  File 
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", 
line 256, in loadProfiles 
  File 
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py", 
line 524, in getProfileList 
  File 
"/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py", 
line 123, in load 
AttributeError: 'module' object has no attribute 'ConfFHosts' 
 
> 
/usr/src/build/290630-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py(123)load()
Comment 1 Dev Agrawal 2003-09-14 12:16:18 EDT
My version and bug report is diffrent
Below is the bug report-


Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", line 137,
in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer
Comment 2 Harald Hoyer 2003-09-15 04:29:56 EDT
please also update rhpl 
http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.